<!--

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function mostrarOcultar(ly) { //v6.0
	var elLayer = document.getElementById(ly);
		if( elLayer.style.display=='block' ){
		elLayer.style.display='none';
	} else {
		elLayer.style.display='block';
	}
}

///// Ventanita fotos anula botón derecho del mouse
var MuestraVentana

function cerrarMarcos(){
	if (MuestraVentana != null && !MuestraVentana.closed) {
		CuadroViejo = MuestraVentana;
		CuadroViejo.name = "CuadroViejo";
		CuadroViejo.close();
	 }
}

function marcos(imagen,ancho,alto,titulo) 
{
  cerrarMarcos();
  var left = (screen.width - ancho) / 2;
  var top = (screen.height - alto) / 2;
	MuestraVentana=window.open("","CuadroNuevo","toolbar=no,location=no, status=no,menubar=no,left="+left+",top="+top+",resizable=no,scrollbars=no,width="+ancho+",height="+alto);
	MuestraVentana.document.write("<html><head><title>"+titulo+"</title>");
	MuestraVentana.document.write("<script language=\"JavaScript\">");
	MuestraVentana.document.write("var mensaje=\"Derechos reservados por los autores. Prohibida su reproducción.\";");
	MuestraVentana.document.write("function nosepuede(A){if (document.all){if (event.button == 2) {alert(mensaje);	return false;	}}");
	MuestraVentana.document.write("if(document.layers){if(A.which == 3){alert(mensaje);return false;}	}}");
	MuestraVentana.document.write("if(document.layers){document.captureEvents(Event.MOUSEDOWN);}document.onmousedown=nosepuede;");
	MuestraVentana.document.write("</script>");
	MuestraVentana.document.write("</head><body>");
	MuestraVentana.document.write('<div style="position:absolute;width:'+ancho+'px;height:'+alto+'px;left:0px;top:0px">');
	MuestraVentana.document.write("<img src="+imagen+" alt=\""+titulo+"\"></div></body></html>");
	MuestraVentana.document.close();
	if (MuestraVentana.opener == null)	{
		MuestraVentana.opener = carolina;
	}
		MuestraVentana.opener.name = "VentanaOriginal";
        MuestraVentana.focus();
}

////// Evita la protección de los banners en flash v1.0
////// Copyright 2006 Adobe Systems, Inc. All rights reserved.
function AC_AddExtension(src, ext)
{
  if (src.indexOf('?') != -1)
    return src.replace(/\?/, ext+'?'); 
  else
    return src + ext;
}

function AC_Generateobj(objAttrs, params, embedAttrs) 
{ 
  var str = '<object ';
  for (var i in objAttrs)
    str += i + '="' + objAttrs[i] + '" ';
  str += '>';
  for (var i in params)
    str += '<param name="' + i + '" value="' + params[i] + '" /> ';
  str += '<embed ';
  for (var i in embedAttrs)
    str += i + '="' + embedAttrs[i] + '" ';
  str += ' ></embed></object>';

  document.write(str);
}

function AC_FL_RunContent(){
  var ret = 
    AC_GetArgs
    (  arguments, ".swf", "movie", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
     , "application/x-shockwave-flash"
    );
  AC_Generateobj(ret.objAttrs, ret.params, ret.embedAttrs);
}

function AC_SW_RunContent(){
  var ret = 
    AC_GetArgs
    (  arguments, ".dcr", "src", "clsid:166B1BCA-3F9C-11CF-8075-444553540000"
     , null
    );
  AC_Generateobj(ret.objAttrs, ret.params, ret.embedAttrs);
}

function AC_GetArgs(args, ext, srcParamName, classid, mimeType){
  var ret = new Object();
  ret.embedAttrs = new Object();
  ret.params = new Object();
  ret.objAttrs = new Object();
  for (var i=0; i < args.length; i=i+2){
    var currArg = args[i].toLowerCase();    

    switch (currArg){	
      case "classid":
        break;
      case "pluginspage":
        ret.embedAttrs[args[i]] = args[i+1];
        break;
      case "src":
      case "movie":	
        args[i+1] = AC_AddExtension(args[i+1], ext);
        ret.embedAttrs["src"] = args[i+1];
        ret.params[srcParamName] = args[i+1];
        break;
      case "onafterupdate":
      case "onbeforeupdate":
      case "onblur":
      case "oncellchange":
      case "onclick":
      case "ondblClick":
      case "ondrag":
      case "ondragend":
      case "ondragenter":
      case "ondragleave":
      case "ondragover":
      case "ondrop":
      case "onfinish":
      case "onfocus":
      case "onhelp":
      case "onmousedown":
      case "onmouseup":
      case "onmouseover":
      case "onmousemove":
      case "onmouseout":
      case "onkeypress":
      case "onkeydown":
      case "onkeyup":
      case "onload":
      case "onlosecapture":
      case "onpropertychange":
      case "onreadystatechange":
      case "onrowsdelete":
      case "onrowenter":
      case "onrowexit":
      case "onrowsinserted":
      case "onstart":
      case "onscroll":
      case "onbeforeeditfocus":
      case "onactivate":
      case "onbeforedeactivate":
      case "ondeactivate":
      case "type":
      case "codebase":
        ret.objAttrs[args[i]] = args[i+1];
        break;
      case "width":
      case "height":
      case "align":
      case "vspace": 
      case "hspace":
      case "class":
      case "title":
      case "accesskey":
      case "name":
      case "id":
      case "tabindex":
        ret.embedAttrs[args[i]] = ret.objAttrs[args[i]] = args[i+1];
        break;
      default:
        ret.embedAttrs[args[i]] = ret.params[args[i]] = args[i+1];
    }
  }
  ret.objAttrs["classid"] = classid;
  if (mimeType) ret.embedAttrs["type"] = mimeType;
  return ret;
}

//-->

